Delete Custom Links

Purpose

To delete one or multiple custom links from a module.

Endpoints

  • DELETE /settings/custom_links/{custom_link_ID}
  • DELETE /settings/custom_links?ids={custom_link_ID1,..,custom_link_ID100}

Request Details

Request URL

To delete a single custom link:

{api-domain}/crm/{version}/settings/custom_links/{custom_link_ID}

To delete multiple custom links:

{api-domain}/crm/{version}/settings/custom_links?ids={custom_link_ID1,...,custom_link_ID100}

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.custom_links.ALL
(or)
ZohoCRM.settings.custom_links.DELETE

Parameters

  • idsstring, mandatory to delete multiple custom links

    Represents a comma-separated list of custom link IDs you want to delete. Specify this as a query parameter when deleting multiple custom links. Accepts up to 100 IDs. Use the Get Custom Links API to get the IDs of the custom links.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/custom_links/554023000006627007?module=Leads"
-X DELETE
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Possible Errors

  • INVALID_DATAHTTP 400

    The custom link ID you have specified is invalid.
    Resolution: Use the Get Custom Links API to get the valid ID of the custom link you want to delete. Refer to the details key in the response for the invalid ID.

  • INVALID_REQUEST_METHODHTTP 400

    The request method is incorrect.
    Resolution: Use the HTTP DELETE method to make this API call.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    The access token you have used to make this API call does not have the required scope.
    Resolution: Generate a new access token with the scope ZohoCRM.settings.custom_links.DELETE or ZohoCRM.settings.custom_links.ALL.

  • NO_PERMISSIONHTTP 403

    You do not have permission to delete custom links.
    Resolution: Contact your system administrator.

  • INVALID_URL_PATTERNHTTP 404

    The request URL is incorrect.
    Resolution: Specify a valid request URL. Refer to the Request URL section for the right URL.

  • INTERNAL_ERRORHTTP 500

    Unexpected and unhandled exception in the server.
    Resolution: Contact the support team at support@zohocrm.com.

Sample Response

Copied{
    "cadences": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "554023000006316048"
            },
            "message": "Cadences deleted successfully",
            "status": "success"
        }
    ]
}